Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mwc.sqld
Interface SQLParserConstants

All Known Implementing Classes:
  SQLParser, SQLParserTokenManager

public interface SQLParserConstants

Field Summary
`static int` | `ALL`
`static int` | `AND`
`static int` | `AS`
`static int` | `ASC`
`static int` | `ASSIGN`
`static int` | `ASTERISK`
`static int` | `BASE64`
`static int` | `BEGIN`
`static int` | `BETWEEN`
`static int` | `BOOLEAN`
`static int` | `BY`
`static int` | `CHAR`
`static int` | `CHARACTER`
`static int` | `CLOSE`
`static int` | `CLOSEDESCRIPTION`
`static int` | `CLOSEPAREN`
`static int` | `COMMENT_BLOCK`
`static int` | `COMMENT_LINE`
`static int` | `CONCAT`
`static int` | `CONSTANT`
`static int` | `CONVERT_TIMESTAMP_TO_DATE`
`static int` | `COUNT`
`static int` | `CREATE`
`static int` | `CRYPT`
`static int` | `CURRENT`
`static int` | `CURSOR`
`static int` | `DATABASE`
`static int` | `DEFAULT`
`static int` | `DELETE`
`static int` | `DESC`
`static int` | `DESCRIPTION`
`static int` | `DESCRIPTION_START_STATE`
`static int` | `DESCRIPTION_STATE`
`static int` | `DIGIT`
`static int` | `DISTINCT`
`static int` | `DOT`
`static int` | `ELSE`
`static int` | `ELSIF`
`static int` | `END`
`static int` | `EOF`
`static int` | `EQUAL`
`static int` | `ERROR_DETAIL_DESCRIPTION`
`static int` | `EXCEPTION`
`static int` | `EXISTS`
`static int` | `EXIT`
`static int` | `EXPONENT`
`static int` | `FALSE`
`static int` | `FETCH`
`static int` | `FILE_NAME_OF_ERROR_AREA`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `FOR`
`static int` | `FORMAT_ATTRIBUTE_SUBSTRING`
`static int` | `FORMAT_AUDIT_HEADER`
`static int` | `FROM`
`static int` | `GET`
`static int` | `GET_CURRENT_TIMESTAMP`
`static int` | `GREATER`
`static int` | `GREATEREQUAL`
`static int` | `GROUP`
`static int` | `HAVING`
`static int` | `ID`
`static int` | `IF`
`static int` | `IN`
`static int` | `INDEX_BY`
`static int` | `INSERT`
`static int` | `INT`
`static int` | `INTEGER`
`static int` | `INTEGER_LITERAL`
`static int` | `INTO`
`static int` | `IS`
`static int` | `IS_TABLE_OF`
`static int` | `JCALL`
`static int` | `JOINPLUS`
`static int` | `KEY_IN_ERROR`
`static int` | `LEFT`
`static int` | `LENGTH`
`static int` | `LESS`
`static int` | `LESSEQUAL`
`static int` | `LETTER`
`static int` | `LIKE`
`static int` | `LOOP`
`static int` | `LPAD`
`static int` | `LTRIM`
`static int` | `MAX`
`static int` | `MID`
`static int` | `MIN`
`static int` | `MINUS`
`static int` | `NO_DATA_FOUND`
`static int` | `NODULE`
`static int` | `NOT`
`static int` | `NOTEQUAL`
`static int` | `NOTEQUAL2`
`static int` | `NOTFOUND`
`static int` | `NULL`
`static int` | `NUMBER`
`static int` | `OPEN`
`static int` | `OPENDESCRIPTION`
`static int` | `OPENPAREN`
`static int` | `OR`
`static int` | `ORDER`
`static int` | `ORIGINPLUS`
`static int` | `OTHERS`
`static int` | `PLUS`
`static int` | `PROCEDURE`
`static int` | `QUESTIONMARK`
`static int` | `RECORD`
`static int` | `REPLACE`
`static int` | `REPLY`
`static int` | `REPLY_REPEATING_GROUP`
`static int` | `REQUEST`
`static int` | `RESULTS`
`static int` | `RIGHT`
`static int` | `ROW_NOT_FOUND`
`static int` | `ROWTYPE`
`static int` | `RTRIM`
`static int` | `SELECT`
`static int` | `SEMICOLON`
`static int` | `SET`
`static int` | `SET_ROW_NOT_FOUND`
`static int` | `SETUPFATALERROR`
`static int` | `SLASH`
`static int` | `SMALLINT`
`static int` | `SOUNDEX`
`static int` | `SPACES`
`static int` | `SQL_I_O_CORRECT`
`static int` | `SQLCODE`
`static int` | `STR_CONCAT`
`static int` | `STRING_LITERAL`
`static int` | `SUBSTR`
`static int` | `SUBSTRING`
`static int` | `SUM`
`static int` | `TABLE`
`static int` | `TABLE_STATUS`
`static int` | `THEN`
`static int` | `TILDE`
`static int` | `TO_CHAR`
`static int` | `TO_NUMBER`
`static java.lang.String[]` | `tokenImage`
`static int` | `TRUE`
`static int` | `TYPE`
`static int` | `UNIQUE`
`static int` | `UPDATE`
`static int` | `UPPER`
`static int` | `USER`
`static int` | `VALUES`
`static int` | `VARCHAR`
`static int` | `VARCHAR2`
`static int` | `WHEN`
`static int` | `WHERE`
`static int` | `WHILE`
`static int` | `ZERO`
`static int` | `ZEROS`

Field Detail

### EOF

    public static final int EOF

### COMMENT_LINE

    public static final int COMMENT_LINE

### COMMENT_BLOCK

    public static final int COMMENT_BLOCK

### ALL

    public static final int ALL

### AND

    public static final int AND

### AS

    public static final int AS

### ASC

    public static final int ASC

### BEGIN

    public static final int BEGIN

### BETWEEN

    public static final int BETWEEN

### BOOLEAN

    public static final int BOOLEAN

### BY

    public static final int BY

### CHAR

    public static final int CHAR

### CHARACTER

    public static final int CHARACTER

### CONSTANT

    public static final int CONSTANT

### CREATE

    public static final int CREATE

### CURSOR

    public static final int CURSOR

### CURRENT

    public static final int CURRENT

### DATABASE

    public static final int DATABASE

### DESC

    public static final int DESC

### DISTINCT

    public static final int DISTINCT

### ELSE

    public static final int ELSE

### ELSIF

    public static final int ELSIF

### END

    public static final int END

### FROM

    public static final int FROM

### GROUP

    public static final int GROUP

### HAVING

    public static final int HAVING

### IF

    public static final int IF

### INT

    public static final int INT

### INTEGER

    public static final int INTEGER

### IN

    public static final int IN

### IS

    public static final int IS

### LIKE

    public static final int LIKE

### MAX

    public static final int MAX

### MIN

    public static final int MIN

### NOT

    public static final int NOT

### NULL

    public static final int NULL

### NUMBER

    public static final int NUMBER

### OR

    public static final int OR

### ORDER

    public static final int ORDER

### PROCEDURE

    public static final int PROCEDURE

### RECORD

    public static final int RECORD

### SELECT

    public static final int SELECT

### SMALLINT

    public static final int SMALLINT

### SPACES

    public static final int SPACES

### SUBSTR

    public static final int SUBSTR

### SUBSTRING

    public static final int SUBSTRING

### SUM

    public static final int SUM

### TABLE

    public static final int TABLE

### THEN

    public static final int THEN

### TYPE

    public static final int TYPE

### USER

    public static final int USER

### UPPER

    public static final int UPPER

### VARCHAR2

    public static final int VARCHAR2

### VARCHAR

    public static final int VARCHAR

### WHERE

    public static final int WHERE

### ZERO

    public static final int ZERO

### ZEROS

    public static final int ZEROS

### TRUE

    public static final int TRUE

### FALSE

    public static final int FALSE

### BASE64

    public static final int BASE64

### CRYPT

    public static final int CRYPT

### JCALL

    public static final int JCALL

### LEFT

    public static final int LEFT

### RIGHT

    public static final int RIGHT

### MID

    public static final int MID

### SOUNDEX

    public static final int SOUNDEX

### STR_CONCAT

    public static final int STR_CONCAT

### GET

    public static final int GET

### RESULTS

    public static final int RESULTS

### COUNT

    public static final int COUNT

### CLOSE

    public static final int CLOSE

### UNIQUE

    public static final int UNIQUE

### CONVERT_TIMESTAMP_TO_DATE

    public static final int CONVERT_TIMESTAMP_TO_DATE

### DELETE

    public static final int DELETE

### EXISTS

    public static final int EXISTS

### EXIT

    public static final int EXIT

### EXCEPTION

    public static final int EXCEPTION

### FETCH

    public static final int FETCH

### FOR

    public static final int FOR

### FORMAT_AUDIT_HEADER

    public static final int FORMAT_AUDIT_HEADER

### FORMAT_ATTRIBUTE_SUBSTRING

    public static final int FORMAT_ATTRIBUTE_SUBSTRING

### GET_CURRENT_TIMESTAMP

    public static final int GET_CURRENT_TIMESTAMP

### INSERT

    public static final int INSERT

### INTO

    public static final int INTO

### INDEX_BY

    public static final int INDEX_BY

### IS_TABLE_OF

    public static final int IS_TABLE_OF

### LENGTH

    public static final int LENGTH

### LOOP

    public static final int LOOP

### LPAD

    public static final int LPAD

### LTRIM

    public static final int LTRIM

### REPLACE

    public static final int REPLACE

### RTRIM

    public static final int RTRIM

### NODULE

    public static final int NODULE

### NOTFOUND

    public static final int NOTFOUND

### OPEN

    public static final int OPEN

### OTHERS

    public static final int OTHERS

### ORIGINPLUS

    public static final int ORIGINPLUS

### REPLY

    public static final int REPLY

### REPLY_REPEATING_GROUP

    public static final int REPLY_REPEATING_GROUP

### REQUEST

    public static final int REQUEST

### ROW_NOT_FOUND

    public static final int ROW_NOT_FOUND

### SET

    public static final int SET

### SQL_I_O_CORRECT

    public static final int SQL_I_O_CORRECT

### TO_CHAR

    public static final int TO_CHAR

### TO_NUMBER

    public static final int TO_NUMBER

### UPDATE

    public static final int UPDATE

### VALUES

    public static final int VALUES

### WHEN

    public static final int WHEN

### WHILE

    public static final int WHILE

### NO_DATA_FOUND

    public static final int NO_DATA_FOUND

### TABLE_STATUS

    public static final int TABLE_STATUS

### SQLCODE

    public static final int SQLCODE

### SET_ROW_NOT_FOUND

    public static final int SET_ROW_NOT_FOUND

### FILE_NAME_OF_ERROR_AREA

    public static final int FILE_NAME_OF_ERROR_AREA

### KEY_IN_ERROR

    public static final int KEY_IN_ERROR

### ERROR_DETAIL_DESCRIPTION

    public static final int ERROR_DETAIL_DESCRIPTION

### SETUPFATALERROR

    public static final int SETUPFATALERROR

### OPENDESCRIPTION

    public static final int OPENDESCRIPTION

### CLOSEDESCRIPTION

    public static final int CLOSEDESCRIPTION

### DESCRIPTION

    public static final int DESCRIPTION

### INTEGER_LITERAL

    public static final int INTEGER_LITERAL

### FLOATING_POINT_LITERAL

    public static final int FLOATING_POINT_LITERAL

### EXPONENT

    public static final int EXPONENT

### STRING_LITERAL

    public static final int STRING_LITERAL

### ID

    public static final int ID

### LETTER

    public static final int LETTER

### DIGIT

    public static final int DIGIT

### ASSIGN

    public static final int ASSIGN

### CONCAT

    public static final int CONCAT

### SEMICOLON

    public static final int SEMICOLON

### DOT

    public static final int DOT

### ROWTYPE

    public static final int ROWTYPE

### TILDE

    public static final int TILDE

### LESS

    public static final int LESS

### LESSEQUAL

    public static final int LESSEQUAL

### GREATER

    public static final int GREATER

### GREATEREQUAL

    public static final int GREATEREQUAL

### EQUAL

    public static final int EQUAL

### NOTEQUAL

    public static final int NOTEQUAL

### NOTEQUAL2

    public static final int NOTEQUAL2

### JOINPLUS

    public static final int JOINPLUS

### OPENPAREN

    public static final int OPENPAREN

### CLOSEPAREN

    public static final int CLOSEPAREN

### ASTERISK

    public static final int ASTERISK

### SLASH

    public static final int SLASH

### PLUS

    public static final int PLUS

### MINUS

    public static final int MINUS

### QUESTIONMARK

    public static final int QUESTIONMARK

### DEFAULT

    public static final int DEFAULT

### DESCRIPTION_START_STATE

    public static final int DESCRIPTION_START_STATE

### DESCRIPTION_STATE

    public static final int DESCRIPTION_STATE

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD